osg::Matrix2x4Template< T > Class Template Reference

`#include <Uniform>`

Inheritance diagram for osg::Matrix2x4Template< T >:

## Public Types

typedef MatrixTemplate< T, 2, 4 > | base_class
typedef base_class::value_type | value_type
Public Types inherited from osg::MatrixTemplate< T, 2, 4 >
enum |
enum |
enum |
typedef T | value_type

## Public Member Functions

| Matrix2x4Template ()
| Matrix2x4Template (const Matrix2x4Template &mat)
| Matrix2x4Template (value_type a00, value_type a01, value_type a02, value_type a03, value_type a10, value_type a11, value_type a12, value_type a13)
| ~Matrix2x4Template ()
void | set (value_type a00, value_type a01, value_type a02, value_type a03, value_type a10, value_type a11, value_type a12, value_type a13)
void | set (const MatrixTemplate &rhs)
void | set (value_type const *const ptr)
Public Member Functions inherited from osg::MatrixTemplate< T, 2, 4 >
| MatrixTemplate ()
| ~MatrixTemplate ()
value_type & | operator() (int row, int col)
value_type | operator() (int row, int col) const
MatrixTemplate & | operator= (const MatrixTemplate &rhs)
void | set (const MatrixTemplate &rhs)
void | set (value_type const *const ptr)
value_type * | ptr ()
const value_type * | ptr () const
value_type & | operator[] (int i)
value_type | operator[] (int i) const
void | reset ()

## Additional Inherited Members

Protected Attributes inherited from osg::MatrixTemplate< T, 2, 4 >
value_type | _mat [row_count][col_count]

## Member Typedef Documentation

## base_class

template<typename T>

typedef MatrixTemplate<T, 2, 4> osg::Matrix2x4Template< T >::base_class

## value_type

template<typename T>

typedef base_class::value_type osg::Matrix2x4Template< T >::value_type

## Constructor & Destructor Documentation

## Matrix2x4Template() [1/3]

template<typename T>

osg::Matrix2x4Template< T >::Matrix2x4Template | ( |  | ) |

inline

## Matrix2x4Template() [2/3]

template<typename T>

osg::Matrix2x4Template< T >::Matrix2x4Template | ( | const Matrix2x4Template< T > & | mat | ) |

inline

## Matrix2x4Template() [3/3]

template<typename T>

osg::Matrix2x4Template< T >::Matrix2x4Template | ( | value_type | a00,
|  | value_type | a01,
|  | value_type | a02,
|  | value_type | a03,
|  | value_type | a10,
|  | value_type | a11,
|  | value_type | a12,
|  | value_type | a13 )

inline

## ~Matrix2x4Template()

template<typename T>

osg::Matrix2x4Template< T >::~Matrix2x4Template | ( |  | ) |

inline

## Member Function Documentation

## set() [1/3]

template<typename T>

void osg::MatrixTemplate< T, RowN, ColN >::set | ( | const MatrixTemplate & | rhs | ) |

inline

## set() [2/3]

template<typename T>

void osg::Matrix2x4Template< T >::set | ( | value_type | a00,
|  | value_type | a01,
|  | value_type | a02,
|  | value_type | a03,
|  | value_type | a10,
|  | value_type | a11,
|  | value_type | a12,
|  | value_type | a13 )

inline

Referenced by osg::Matrix2x4Template< float >::Matrix2x4Template(), and osg::Matrix2x4Template< float >::Matrix2x4Template().

## set() [3/3]

template<typename T>

void osg::MatrixTemplate< T, RowN, ColN >::set | ( | value_type const *const | ptr | ) |

inline

The documentation for this class was generated from the following file:

- Uniform